Fiskil Docs

Create end user

Creates a new end user

POST
/end-users

Creates a new end user

Authorization

Token_header_Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

abnstring

Australian Business Number (ABN) of the end user if they represent a business

emailstring

An End Users email address. This should be their primary email, as it is used for notifying the End User about their consents.

namestring

Name of the end user

phonestring

An End Users Phone number in E.164 format

Response Body

application/json

application/vnd.goa.error

application/vnd.goa.error

application/vnd.goa.error

curl -X POST "https://example.com/end-users" \  -H "Content-Type: application/json" \  -d '{    "abn": "51 824 753 556",    "email": "john_starmer@gmail.com",    "name": "John Starmer",    "phone": "+614123456789"  }'
{  "end_user_id": "eu_2yRHN2ag2y4p8kCtm5DOeccZEXB"}
{  "fault": true,  "id": "123abc",  "message": "parameter 'p' must be an integer",  "name": "bad_request",  "temporary": true,  "timeout": false}
{  "fault": true,  "id": "123abc",  "message": "parameter 'p' must be an integer",  "name": "bad_request",  "temporary": true,  "timeout": false}
{  "fault": true,  "id": "123abc",  "message": "parameter 'p' must be an integer",  "name": "bad_request",  "temporary": true,  "timeout": false}